*, *::before, *::after{
    box-sizing: border-box;
}

:root {
    font-family: "Verdana", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
    --bg: oklch(0.8782 0.0034 325.6);
    --primary: oklch(0.25 0.01 325);
    --bgcards: oklch(0.7959 0.1426 212.4);
    --bgaboutme: oklch(0.9518 0.0217 212.4);
    background-color: var(--bg);
    color: var(--primary);
}

body {
    margin: 0;
}

.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

.phpname{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.phpmail{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-block-start: 2rem;
}

.phpkeuze{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-block-start: 2rem;
}

.phpbericht{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-block-start: 2rem;
}

.phpbutton{
    background-color: var(--bgcards);
    color: var(--primary);
    display: flex;
    justify-content: center;
    font-size: large;
}

.phpthank{
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}
.navphp{
        
        a {
            position: relative; 
            color: var(--bg);
            background-color: var(--primary);
            text-decoration: none;
            padding-block: 1rem;
            padding-inline: 2rem;

            &::after {
                content: "•"; /* Opgezocht op Google*/
                position: absolute;
                left: 50%;
                bottom: 0.1rem;
                transform: translateX(-50%);
                opacity: 0;
                transition: opacity 0.2s ease-in-out;
            }

            &:hover::after,
            &:focus-visible::after {
                opacity: 1;
            }
        }

    ul {
      padding: 0;
      margin: 0;
      list-style: none;
      display: flex;
    }

    li:first-child {
      margin-inline-end: auto;

      a {
        background-color: var(--bg);
        color: var(--primary);
        font-weight: bold;
      }
    }
  }


header {
    nav{
        
        a {
            position: relative; 
            color: var(--bg);
            background-color: var(--primary);
            text-decoration: none;
            padding-block: 1rem;
            padding-inline: 2rem;

            &::after {
                content: "•"; /* Opgezocht op Google*/
                position: absolute;
                left: 50%;
                bottom: 0.1rem;
                transform: translateX(-50%);
                opacity: 0;
                transition: opacity 0.2s ease-in-out;
            }

            &:hover::after,
            &:focus-visible::after {
                opacity: 1;
            }
        }

    ul {
      padding: 0;
      margin: 0;
      list-style: none;
      display: flex;
    }

    li:first-child {
      margin-inline-end: auto;

      a {
        background-color: var(--bg);
        color: var(--primary);
        font-weight: bold;
      }
    }
  }
  .logo{
    display: block;
    margin: 0 auto;
    max-width: 10%;
    height: auto;
    position: relative;
    top: 0;
  }
}

.inleiding {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5vh 5%;
    flex-wrap: wrap;

    h1 {
        max-width: 50%;
        margin-left: 1vh;
        margin-bottom: 1vh;
    }

    p {
        max-width: 80%;
        margin: 0;
    }

    img {
        max-width: 40%;
        height: auto;
        border-radius: 15px solid var(--primary);
    }
}

.tlaatsteoef {
    display: flex;
    justify-content: center;
}

.laatsteoef{
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    margin: 0;
    padding: 0;
    list-style: none;
    justify-content: center;
    color: var(--bg);

    a {
        text-decoration: none;
        color: var(--primary)
    }
    li{
        display: flex;
        flex-direction: column;
        flex: 1 1 calc(33% - 1rem);
        position: relative;
        border: 1px solid var(--primary);
        padding: 1rem;
        background-color: var(--bgcards);
        border-radius: 15px;

        img{
            width: 100%;
            aspect-ratio: 5 / 2;
            object-fit: cover;
            border-radius: 18px;
        }

        h3{
            margin: 0.5rem 0;
            font-size: 1.5rem;
            justify-content: center;
        }

        p {
            margin: 0;
            font-size: 1rem;
            justify-content: center;
        }
    }
}

footer {
    display: flex;
    justify-content: center;
}

.socials {
    a {
        text-decoration: none;
        color: var(--primary);
    }
    h2{
        justify-content: center;
    }
    ul{
        display: flex;
        justify-content: center;
        border-radius: 15px;
        list-style: none;
        li{
            gap: 1rem;
        }
    }
}

.socials-list {
    margin-inline-end: 3em;
}

.aboutme{
    display: flex;
    align-items: center;
    gap: 1rem;

    img{
        max-width: 40%;
    }
    h1, p{
        flex-direction: column;
        justify-content: center;
        text-align: center;
        flex: 1;
    }
}

.ulaboutme{
    display: flex;
    justify-content: center;
    
    ul{
        display: flex;
        grid-template-columns: 1fr;
        gap: 1rem;
        padding: 0;
        margin: 0;
        list-style: none;
        
        li{
            display: grid;
            border: 1px solid var(--primary);
            padding: 2em;
            color: var(--primary);
            background-color: var(--bgaboutme);
            border-radius: 8px;
            
        }
    }
}

.oefeningen {
    ul {
        display: grid;
        grid-template-columns: 1fr;
        gap: 1.5rem;
        padding: 0;
        margin: 0;
        list-style: none;
        li{
            border: 1px solid var(--primary);
            padding: 1rem;
            border-radius: 15px;
            background-color: black;
            display: flex;
            flex-direction: column;
            align-items: center;
            text-align: center;

            img{
                width: 100%;
                max-width: 10rem;
                height: auto;
                border-radius: 10px;
            }
        }
    }
    a{
        margin-top: auto;
        text-decoration: none;
        font-weight: bold;
    }
}

.verslag{
    a{
        text-decoration: none;
    }
    ul{
        display: grid;
        list-style: none;
        li{
            display: flex;
            align-items: center;
            text-align: center;
        }
    }
}

.navlabo{
    ul{
        list-style: none;
    }
    a{
        display: inline-block;
        padding: 1rem 1rem;
        color: black;
        background-color: var(--bgcards);
        text-decoration: none;
        font-weight: bold;
    }
}

@media( min-width: 18rem){
    .navphp {
        nav{
            display: flex;
            justify-content: center;
            ul{
                flex-direction: column;
                li{
                    margin-block-start: 0.5em;
                }
            }
        }
    }
    header{
        nav{
            display: flex;
            justify-content: center;
            ul{
                flex-direction: column;
                li{
                    margin-block-start: 0.5em;
                }
            }
        }
    }
    .aboutme{
        img{
            max-width: 20%;
        }
    }
    .ulaboutme{
        ul{
            flex-direction: column;
            li{
                padding: 1rem;
            }
        }
    }
    .navlabo{
        a{
            font-size: smaller;
            max-width: 45%;
        }
    }
    .verslag{
        ul{
            max-width: 10rem;
            li{
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                text-align: left;
                font-size: small;
            }
        }
    }
    .cverslag{
        max-width: 100%;
        overflow-x: hidden;
    }
}

@media (min-width: 30rem){
    header{
        nav ul{
            flex-direction: row;
            align-items: center;
        }

        nav li:first-child{
            margin-inline-end: auto;
        }

        .logo{
            margin-block-start: 2em;
            max-width: 20%;
        }
    }

    .inleiding {
        flex-direction: row;
        align-items: center;
        justify-content: center;

        h1, p{
            max-width: 50%;
        }

        img {
            max-width: 40%;
        }
    }

    .laatsteoef {
        flex-direction: row;
        flex-wrap: wrap;

       li {
            flex: column;
        }
    }

    .aboutme {
        flex-direction: column;
        text-align: center;
        img{
            max-width: 100%;
        }
    }
}